Summary:	Data encryption/decryption program
Name:		mcrypt
Version:	2.6.5
Release:	%mkrel 1
License:	GPL
Group:		File tools
URL:		http://mcrypt.sourceforge.net/
Source0:	http://belnet.dl.sourceforge.net/sourceforge/mcrypt/%{name}-%{version}.tar.gz
Source1:	%{name}.bash-completion
BuildRequires:	libmhash-devel >= 0.8.15
BuildRequires:	libmcrypt-devel >= 2.5.0
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
A replacement for the old unix crypt(1) command. Mcrypt uses the following
encryption (block) algorithms: BLOWFISH, DES, TripleDES, 3-WAY, SAFER-SK64,
SAFER-SK128, CAST-128, RC2 TEA (extended), TWOFISH, RC6, IDEA and GOST. The
unix crypt algorithm is also included, to allow compatibility with the crypt(1)
command. CBC, ECB, OFB and CFB modes of encryption are supported.

%prep

%setup -q

cp %{SOURCE1} %{name}.bash-completion

%build

%configure2_5x

# ugly hack
export MKINSTALLDIRS="`pwd`/mkinstalldirs"
find -name "Makefile" | xargs perl -pi -e "s|^MKINSTALLDIRS.*|MKINSTALLDIRS=\"$MKINSTALLDIRS\"|g"

%make

%install
rm -rf %{buildroot}

%makeinstall

%find_lang %name

install -d %{buildroot}%{_sysconfdir}/bash_completion.d
install -m0644 %{name}.bash-completion %{buildroot}%{_sysconfdir}/bash_completion.d/%{name}

%clean
rm -rf %{buildroot}

%files -f %name.lang
%defattr(-,root,root)
%doc ABOUT-NLS AUTHORS ChangeLog COPYING INSTALL NEWS README THANKS TODO doc/FORMAT doc/magic doc/sample*
%config(noreplace) %{_sysconfdir}/bash_completion.d/%{name}
%{_bindir}/*
%{_mandir}/man1/*


%changelog
* Tue Feb 20 2007 Oden Eriksson <oeriksson@mandriva.com> 2.6.5-1mdv2007.0
+ Revision: 122966
- Import mcrypt



* Tue Feb 20 2007 Oden Eriksson <oeriksson@mandriva.com> 2.6.5-1mdv2007.1
- 2.6.5

* Wed May 11 2005 Lenny Cartier <lenny@mandriva.com> 2.6.4-4mdk
- rebuild

* Mon Jan 05 2004 Abel Cheung <deaddog@deaddog.org> 2.6.4-3mdk
- Remove bash-completion dependency
- configure2_5x

* Tue Dec 30 2003 Guillaume Rousse <guillomovitch@mandrake.org> 2.6.4-2mdk
- added bash-completion

* Mon Nov 10 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.6.4-1mdk
- 2.6.4
- new url
- fix invalid-build-requires

* Mon Jan 06 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.6.0-2mdk
- rebuilt against new libmcrypt

* Fri Oct 04 2002 Lenny Cartier <lenny@mandrakesoft.com> 2.6.3-1mdk
- 2.6.3

* Sat Jun  1 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.6.0-1mdk
- new version
- misc spec file fixes
- rebuilt against latest BuildRequires

* Sun May 19 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.5.13-3mdk
- rebuilt with gcc3.1

* Thu Apr 25 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.5.13-2mdk
- added BuildRequires: libltdl3-devel

* Thu Apr 25 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.5.13-1mdk
- new version
- misc spec file fixes

* Sun Dec 23 2001 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.5.10-1mdk
- new version
- misc spec file fixes

* Wed Aug 29 2001 Lenny Cartier <lenny@mandrakesoft.com> 2.5.7-1mdk
- added by Thomas Leclerc <leclerc@linux-mandrake.com> :
	- Initial Mandrake build

# end of file
